# core-mw

![Version: 4.7.2](https://img.shields.io/badge/Version-4.7.2-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: 8.18.0](https://img.shields.io/badge/AppVersion-8.18.0-informational?style=flat-square)

App Suite Middleware Core Helm Chart

## Maintainers

| Name | Email | Url |
| ---- | ------ | --- |
| OX Software GmbH | <info@open-xchange.com> |  |

## Source Code

* <https://github.com/open-xchange/appsuite-middleware>

## Requirements

| Repository | Name | Version |
|------------|------|---------|
| oci://registry.open-xchange.com/appsuite-core-internal/charts/3rdparty | collabora-online | 1.0.1 |
| oci://registry.open-xchange.com/appsuite-core-internal/charts/3rdparty | gotenberg | 0.4.2 |
| oci://registry.open-xchange.com/appsuite-core-internal/charts | ox-common | 1.0.33 |

## Additional informations

### 4.0.0

- This version introduces new `configuration.redis` and `configuration.sessiond` section which **adds support for** Redis. Please refer to the documentation in `values.yaml`.
- Changed the default service type from `NodePort` to `ClusterIP` for `http-api`, `sync` and `admin` service.
- Removed *all* ingress configuration settings.
- Removed `services.documentconverterHost`, `services.imageconverterHost` and `services.spellcheckHost`.
Not necessary anymore but it's possible to override them e.g. via `.Values.global.dc.serviceName`
- Renamed environment variables
  - `OX_IMAGECONVERTER_URL` &rarr; `IC_SERVER_URL`
  - `OX_SPELLCHECK_URL` &rarr; `SPELLCHECK_SERVER_URL`
  - `OX_DOCUMENTCONVERTER_URL` &rarr; `DC_SERVER_URL`
- Partially or fully override `ox-common.names.fullname` via `nameOverride` or `fullnameOverride`.

## Configuration

### App Suite Middleware Core

The following table lists the configurable parameters of the `App Suite Middleware Core` chart and their default values.

<table height="400px" >
	<thead>
		<th>Key</th>
		<th>Type</th>
		<th>Default</th>
		<th>Description</th>
	</thead>
	<tbody>
		<tr>
			<td>affinity</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>asConfig.default.host</td>
			<td>string</td>
			<td>`"all"`</td>
			<td></td>
		</tr>
		<tr>
			<td>basicAuthLogin</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>basicAuthPassword</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>configuration</td>
			<td>object</td>
			<td>`{"businessmobility":{"logging":{"debug":{"enabled":false,"logPath":""}}},"languages":[],"logging":{"debug":true,"json":{"prettyPrint":false},"logger":[{"level":"WARN","name":"org.apache.cxf"},{"level":"WARN","name":"com.openexchange.soap.cxf.logger"}],"logstash":{"host":"localhost","port":31337},"queueSize":2048,"root":{"json":true,"level":"INFO","logstash":false},"syslog":{"facility":"USER","host":"localhost","port":514}},"sessiond":{"redis":{"enabled":false}}}`</td>
			<td></td>
		</tr>
		<tr>
			<td>configuration.businessmobility.logging.debug.enabled</td>
			<td>bool</td>
			<td>`false`</td>
			<td></td>
		</tr>
		<tr>
			<td>configuration.businessmobility.logging.debug.logPath</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>configuration.languages</td>
			<td>list</td>
			<td>`[]`</td>
			<td></td>
		</tr>
		<tr>
			<td>configuration.logging.debug</td>
			<td>bool</td>
			<td>`true`</td>
			<td></td>
		</tr>
		<tr>
			<td>configuration.logging.json.prettyPrint</td>
			<td>bool</td>
			<td>`false`</td>
			<td></td>
		</tr>
		<tr>
			<td>configuration.logging.logger</td>
			<td>list</td>
			<td>`[{"level":"WARN","name":"org.apache.cxf"},{"level":"WARN","name":"com.openexchange.soap.cxf.logger"}]`</td>
			<td></td>
		</tr>
		<tr>
			<td>configuration.logging.logstash</td>
			<td>object</td>
			<td>`{"host":"localhost","port":31337}`</td>
			<td></td>
		</tr>
		<tr>
			<td>configuration.logging.queueSize</td>
			<td>int</td>
			<td>`2048`</td>
			<td></td>
		</tr>
		<tr>
			<td>configuration.logging.root.json</td>
			<td>bool</td>
			<td>`true`</td>
			<td></td>
		</tr>
		<tr>
			<td>configuration.logging.root.level</td>
			<td>string</td>
			<td>`"INFO"`</td>
			<td></td>
		</tr>
		<tr>
			<td>configuration.logging.root.logstash</td>
			<td>bool</td>
			<td>`false`</td>
			<td></td>
		</tr>
		<tr>
			<td>configuration.logging.syslog</td>
			<td>object</td>
			<td>`{"facility":"USER","host":"localhost","port":514}`</td>
			<td></td>
		</tr>
		<tr>
			<td>contextSets</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>createCommonEnv</td>
			<td>bool</td>
			<td>`true`</td>
			<td></td>
		</tr>
		<tr>
			<td>defaultRegistry</td>
			<td>string</td>
			<td>`"registry.open-xchange.com"`</td>
			<td></td>
		</tr>
		<tr>
			<td>defaultScaling.nodes.default.roles[0]</td>
			<td>string</td>
			<td>`"hazelcast-data-holding"`</td>
			<td></td>
		</tr>
		<tr>
			<td>defaultScaling.nodes.default.roles[1]</td>
			<td>string</td>
			<td>`"http-api"`</td>
			<td></td>
		</tr>
		<tr>
			<td>defaultScaling.nodes.default.roles[2]</td>
			<td>string</td>
			<td>`"sync"`</td>
			<td></td>
		</tr>
		<tr>
			<td>defaultScaling.nodes.default.roles[3]</td>
			<td>string</td>
			<td>`"admin"`</td>
			<td></td>
		</tr>
		<tr>
			<td>defaultScaling.nodes.default.roles[4]</td>
			<td>string</td>
			<td>`"businessmobility"`</td>
			<td></td>
		</tr>
		<tr>
			<td>enableDBConnectionCheck</td>
			<td>bool</td>
			<td>`true`</td>
			<td></td>
		</tr>
		<tr>
			<td>enableInitialization</td>
			<td>bool</td>
			<td>`false`</td>
			<td></td>
		</tr>
		<tr>
			<td>etcBinaries</td>
			<td>list</td>
			<td>`[]`</td>
			<td></td>
		</tr>
		<tr>
			<td>etcFiles</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>extraContainers</td>
			<td>list</td>
			<td>`[]`</td>
			<td></td>
		</tr>
		<tr>
			<td>extraEnv</td>
			<td>list</td>
			<td>`[]`</td>
			<td></td>
		</tr>
		<tr>
			<td>extraMounts</td>
			<td>list</td>
			<td>`[]`</td>
			<td></td>
		</tr>
		<tr>
			<td>extraStatefulSetProperties</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>extraVolumes</td>
			<td>list</td>
			<td>`[]`</td>
			<td></td>
		</tr>
		<tr>
			<td>extras.monitoring.enabled</td>
			<td>bool</td>
			<td>`false`</td>
			<td></td>
		</tr>
		<tr>
			<td>features.definitions.admin</td>
			<td>list</td>
			<td></td>
			<td></td>
		</tr>
		<tr>
			<td>features.definitions.documents</td>
			<td>list</td>
			<td></td>
			<td></td>
		</tr>
		<tr>
			<td>features.definitions.guard</td>
			<td>list</td>
			<td></td>
			<td></td>
		</tr>
		<tr>
			<td>features.definitions.omf-source</td>
			<td>list</td>
			<td></td>
			<td></td>
		</tr>
		<tr>
			<td>features.definitions.plugins</td>
			<td>list</td>
			<td></td>
			<td></td>
		</tr>
		<tr>
			<td>features.definitions.reseller</td>
			<td>list</td>
			<td></td>
			<td></td>
		</tr>
		<tr>
			<td>features.definitions.usm-eas</td>
			<td>list</td>
			<td></td>
			<td></td>
		</tr>
		<tr>
			<td>features.status</td>
			<td>object</td>
			<td></td>
			<td></td>
		</tr>
		<tr>
			<td>fullnameOverride</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>global.extras.monitoring.enabled</td>
			<td>bool</td>
			<td>`false`</td>
			<td></td>
		</tr>
		<tr>
			<td>global.imageRegistry</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>global.mysql.existingSecret</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>hooks.beforeApply</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>hooks.beforeAppsuiteStart</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>hooks.start</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>hzGroupName</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>hzGroupPassword</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>image.pullPolicy</td>
			<td>string</td>
			<td>`"IfNotPresent"`</td>
			<td></td>
		</tr>
		<tr>
			<td>image.repository</td>
			<td>string</td>
			<td>`"appsuite-core/middleware"`</td>
			<td></td>
		</tr>
		<tr>
			<td>image.tag</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>imagePullSecrets</td>
			<td>list</td>
			<td>`[]`</td>
			<td></td>
		</tr>
		<tr>
			<td>istio.compression.enabled</td>
			<td>bool</td>
			<td>`false`</td>
			<td></td>
		</tr>
		<tr>
			<td>istio.injection.enabled</td>
			<td>bool</td>
			<td>`false`</td>
			<td></td>
		</tr>
		<tr>
			<td>javaOpts.debug.gcLogs.enabled</td>
			<td>bool</td>
			<td>`false`</td>
			<td></td>
		</tr>
		<tr>
			<td>javaOpts.debug.heapdump.custom</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>javaOpts.debug.heapdump.enabled</td>
			<td>bool</td>
			<td>`false`</td>
			<td></td>
		</tr>
		<tr>
			<td>javaOpts.debug.heapdump.hostPath.dir</td>
			<td>string</td>
			<td>`"/mnt/appsuite-heap-dumps"`</td>
			<td></td>
		</tr>
		<tr>
			<td>javaOpts.memory.maxHeapSize</td>
			<td>string</td>
			<td>`"8192M"`</td>
			<td></td>
		</tr>
		<tr>
			<td>javaOpts.other</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>javaOpts.server</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>jolokiaLogin</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>jolokiaPassword</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>masterAdmin</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>masterPassword</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>meta</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>mysql.auth.password</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>mysql.auth.readPassword</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>mysql.auth.readUser</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>mysql.auth.rootPassword</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>mysql.auth.user</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>mysql.auth.writePassword</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>mysql.auth.writeUser</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>mysql.database</td>
			<td>string</td>
			<td>`"configdb"`</td>
			<td></td>
		</tr>
		<tr>
			<td>mysql.existingSecret</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>mysql.host</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>mysql.port</td>
			<td>string</td>
			<td>`"3306"`</td>
			<td></td>
		</tr>
		<tr>
			<td>mysql.readDatabase</td>
			<td>string</td>
			<td>`"configdb"`</td>
			<td></td>
		</tr>
		<tr>
			<td>mysql.readHost</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>mysql.readPort</td>
			<td>string</td>
			<td>`"3306"`</td>
			<td></td>
		</tr>
		<tr>
			<td>mysql.writeDatabase</td>
			<td>string</td>
			<td>`"configdb"`</td>
			<td></td>
		</tr>
		<tr>
			<td>mysql.writeHost</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>mysql.writePort</td>
			<td>string</td>
			<td>`"3306"`</td>
			<td></td>
		</tr>
		<tr>
			<td>nameOverride</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>nodeSelector</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>packages.minimalWhitelist</td>
			<td>list</td>
			<td></td>
			<td></td>
		</tr>
		<tr>
			<td>packages.status</td>
			<td>object</td>
			<td></td>
			<td></td>
		</tr>
		<tr>
			<td>podAnnotations</td>
			<td>object</td>
			<td>`{"logging.open-xchange.com/format":"appsuite-json"}`</td>
			<td></td>
		</tr>
		<tr>
			<td>podSecurityContext</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>probe.liveness.enabled</td>
			<td>bool</td>
			<td>`true`</td>
			<td></td>
		</tr>
		<tr>
			<td>probe.liveness.failureThreshold</td>
			<td>int</td>
			<td>`15`</td>
			<td></td>
		</tr>
		<tr>
			<td>probe.liveness.periodSeconds</td>
			<td>int</td>
			<td>`10`</td>
			<td></td>
		</tr>
		<tr>
			<td>probe.readiness.enabled</td>
			<td>bool</td>
			<td>`true`</td>
			<td></td>
		</tr>
		<tr>
			<td>probe.readiness.failureThreshold</td>
			<td>int</td>
			<td>`2`</td>
			<td></td>
		</tr>
		<tr>
			<td>probe.readiness.initialDelaySeconds</td>
			<td>int</td>
			<td>`30`</td>
			<td></td>
		</tr>
		<tr>
			<td>probe.readiness.periodSeconds</td>
			<td>int</td>
			<td>`5`</td>
			<td></td>
		</tr>
		<tr>
			<td>probe.readiness.timeoutSeconds</td>
			<td>int</td>
			<td>`5`</td>
			<td></td>
		</tr>
		<tr>
			<td>probe.startup.enabled</td>
			<td>bool</td>
			<td>`true`</td>
			<td></td>
		</tr>
		<tr>
			<td>probe.startup.failureThreshold</td>
			<td>int</td>
			<td>`30`</td>
			<td></td>
		</tr>
		<tr>
			<td>probe.startup.initialDelaySeconds</td>
			<td>int</td>
			<td>`30`</td>
			<td></td>
		</tr>
		<tr>
			<td>probe.startup.periodSeconds</td>
			<td>int</td>
			<td>`10`</td>
			<td></td>
		</tr>
		<tr>
			<td>properties</td>
			<td>object</td>
			<td></td>
			<td></td>
		</tr>
		<tr>
			<td>propertiesFiles</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>rbac.create</td>
			<td>bool</td>
			<td>`true`</td>
			<td></td>
		</tr>
		<tr>
			<td>rbac.rules</td>
			<td>list</td>
			<td>`[]`</td>
			<td></td>
		</tr>
		<tr>
			<td>redis.auth.password</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>redis.auth.username</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>redis.enabled</td>
			<td>bool</td>
			<td>`false`</td>
			<td></td>
		</tr>
		<tr>
			<td>redis.hosts</td>
			<td>list</td>
			<td>`[]`</td>
			<td></td>
		</tr>
		<tr>
			<td>redis.mode</td>
			<td>string</td>
			<td>`"standalone"`</td>
			<td></td>
		</tr>
		<tr>
			<td>redis.sentinelMasterId</td>
			<td>string</td>
			<td>`"mymaster"`</td>
			<td></td>
		</tr>
		<tr>
			<td>remoteDebug.enabled</td>
			<td>bool</td>
			<td>`false`</td>
			<td></td>
		</tr>
		<tr>
			<td>remoteDebug.nodePort</td>
			<td>string</td>
			<td>`nil`</td>
			<td>The node port (default range: 30000-32767)</td>
		</tr>
		<tr>
			<td>remoteDebug.port</td>
			<td>int</td>
			<td>`8102`</td>
			<td></td>
		</tr>
		<tr>
			<td>replicas</td>
			<td>int</td>
			<td>`1`</td>
			<td></td>
		</tr>
		<tr>
			<td>resources</td>
			<td>object</td>
			<td>`{"limits":{"cpu":"2000m","memory":"8192Mi"},"requests":{"cpu":"1000m","memory":"1024Mi"}}`</td>
			<td></td>
		</tr>
		<tr>
			<td>restricted.drive.enabled</td>
			<td>bool</td>
			<td>`true`</td>
			<td></td>
		</tr>
		<tr>
			<td>restricted.mobileApiFacade.enabled</td>
			<td>bool</td>
			<td>`true`</td>
			<td></td>
		</tr>
		<tr>
			<td>roles.admin.services[0].ports[0].name</td>
			<td>string</td>
			<td>`"http"`</td>
			<td></td>
		</tr>
		<tr>
			<td>roles.admin.services[0].ports[0].port</td>
			<td>int</td>
			<td>`80`</td>
			<td></td>
		</tr>
		<tr>
			<td>roles.admin.services[0].ports[0].protocol</td>
			<td>string</td>
			<td>`"TCP"`</td>
			<td></td>
		</tr>
		<tr>
			<td>roles.admin.services[0].ports[0].targetPort</td>
			<td>string</td>
			<td>`"http"`</td>
			<td></td>
		</tr>
		<tr>
			<td>roles.admin.services[0].type</td>
			<td>string</td>
			<td>`"ClusterIP"`</td>
			<td></td>
		</tr>
		<tr>
			<td>roles.businessmobility.services[0].ports[0].name</td>
			<td>string</td>
			<td>`"http"`</td>
			<td></td>
		</tr>
		<tr>
			<td>roles.businessmobility.services[0].ports[0].port</td>
			<td>int</td>
			<td>`80`</td>
			<td></td>
		</tr>
		<tr>
			<td>roles.businessmobility.services[0].ports[0].protocol</td>
			<td>string</td>
			<td>`"TCP"`</td>
			<td></td>
		</tr>
		<tr>
			<td>roles.businessmobility.services[0].ports[0].targetPort</td>
			<td>string</td>
			<td>`"http"`</td>
			<td></td>
		</tr>
		<tr>
			<td>roles.businessmobility.services[0].type</td>
			<td>string</td>
			<td>`"ClusterIP"`</td>
			<td></td>
		</tr>
		<tr>
			<td>roles.businessmobility.values.features.status.usm-eas</td>
			<td>string</td>
			<td>`"enabled"`</td>
			<td></td>
		</tr>
		<tr>
			<td>roles.businessmobility.values.properties."com.openexchange.usm.ox.url"</td>
			<td>string</td>
			<td>`"http://localhost:8009/appsuite/api/"`</td>
			<td></td>
		</tr>
		<tr>
			<td>roles.hazelcast-data-holding.controller</td>
			<td>string</td>
			<td>`"StatefulSet"`</td>
			<td></td>
		</tr>
		<tr>
			<td>roles.hazelcast-data-holding.services[0].headless</td>
			<td>bool</td>
			<td>`true`</td>
			<td></td>
		</tr>
		<tr>
			<td>roles.hazelcast-data-holding.services[0].name</td>
			<td>string</td>
			<td>`"hazelcast-headless"`</td>
			<td></td>
		</tr>
		<tr>
			<td>roles.hazelcast-data-holding.services[0].ports[0].name</td>
			<td>string</td>
			<td>`"tcp-hazelcast"`</td>
			<td></td>
		</tr>
		<tr>
			<td>roles.hazelcast-data-holding.services[0].ports[0].port</td>
			<td>int</td>
			<td>`5701`</td>
			<td></td>
		</tr>
		<tr>
			<td>roles.hazelcast-data-holding.statefulSetServiceName</td>
			<td>string</td>
			<td>`"hazelcast-headless"`</td>
			<td></td>
		</tr>
		<tr>
			<td>roles.hazelcast-lite-member</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>roles.http-api.services[0].ports[0].name</td>
			<td>string</td>
			<td>`"http"`</td>
			<td></td>
		</tr>
		<tr>
			<td>roles.http-api.services[0].ports[0].port</td>
			<td>int</td>
			<td>`80`</td>
			<td></td>
		</tr>
		<tr>
			<td>roles.http-api.services[0].ports[0].protocol</td>
			<td>string</td>
			<td>`"TCP"`</td>
			<td></td>
		</tr>
		<tr>
			<td>roles.http-api.services[0].ports[0].targetPort</td>
			<td>string</td>
			<td>`"http"`</td>
			<td></td>
		</tr>
		<tr>
			<td>roles.http-api.services[0].type</td>
			<td>string</td>
			<td>`"ClusterIP"`</td>
			<td></td>
		</tr>
		<tr>
			<td>roles.sync.services[0].ports[0].name</td>
			<td>string</td>
			<td>`"http"`</td>
			<td></td>
		</tr>
		<tr>
			<td>roles.sync.services[0].ports[0].port</td>
			<td>int</td>
			<td>`80`</td>
			<td></td>
		</tr>
		<tr>
			<td>roles.sync.services[0].ports[0].protocol</td>
			<td>string</td>
			<td>`"TCP"`</td>
			<td></td>
		</tr>
		<tr>
			<td>roles.sync.services[0].ports[0].targetPort</td>
			<td>string</td>
			<td>`"http"`</td>
			<td></td>
		</tr>
		<tr>
			<td>roles.sync.services[0].type</td>
			<td>string</td>
			<td>`"ClusterIP"`</td>
			<td></td>
		</tr>
		<tr>
			<td>secretContextSets</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>secretETCBinaries</td>
			<td>list</td>
			<td>`[]`</td>
			<td></td>
		</tr>
		<tr>
			<td>secretETCFiles</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>secretProperties</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>secretPropertiesFiles</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>secretUISettings</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>secretUISettingsFiles</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>secretYAMLFiles</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>securityContext</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>serviceAccount.annotations</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>serviceAccount.create</td>
			<td>bool</td>
			<td>`true`</td>
			<td></td>
		</tr>
		<tr>
			<td>serviceAccount.name</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>terminationGracePeriodSeconds</td>
			<td>int</td>
			<td>`120`</td>
			<td></td>
		</tr>
		<tr>
			<td>tolerations</td>
			<td>list</td>
			<td>`[]`</td>
			<td></td>
		</tr>
		<tr>
			<td>uiSettings</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>uiSettingsFiles</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>update.enabled</td>
			<td>bool</td>
			<td>`false`</td>
			<td></td>
		</tr>
		<tr>
			<td>update.job</td>
			<td>object</td>
			<td>`{"ttlSecondsAfterFinished":86400}`</td>
			<td></td>
		</tr>
		<tr>
			<td>update.job.ttlSecondsAfterFinished</td>
			<td>int</td>
			<td>`86400`</td>
			<td></td>
		</tr>
		<tr>
			<td>update.schemata</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>update.types</td>
			<td>list</td>
			<td>`[]`</td>
			<td></td>
		</tr>
		<tr>
			<td>update.values</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>yamlFiles</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
	</tbody>
</table>

### Collabora Online

The following table lists the configurable parameters of the `Collabora Online` chart and their default values.

<table height="400px" >
	<thead>
		<th>Key</th>
		<th>Type</th>
		<th>Default</th>
		<th>Description</th>
	</thead>
	<tbody>
		<tr>
			<td>collabora-online.affinity</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.autoscaling.enabled</td>
			<td>bool</td>
			<td>`true`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.autoscaling.maxReplicas</td>
			<td>int</td>
			<td>`100`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.autoscaling.minReplicas</td>
			<td>int</td>
			<td>`2`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.autoscaling.targetCPUUtilizationPercentage</td>
			<td>int</td>
			<td>`70`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.autoscaling.targetMemoryUtilizationPercentage</td>
			<td>int</td>
			<td>`50`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.collabora.aliasgroups</td>
			<td>list</td>
			<td>`[]`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.collabora.env</td>
			<td>list</td>
			<td>`[]`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.collabora.existingSecret.enabled</td>
			<td>bool</td>
			<td>`false`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.collabora.existingSecret.passwordKey</td>
			<td>string</td>
			<td>`"password"`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.collabora.existingSecret.secretName</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.collabora.existingSecret.usernameKey</td>
			<td>string</td>
			<td>`"username"`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.collabora.extra_params</td>
			<td>string</td>
			<td>`"--o:ssl.enable=false"`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.collabora.password</td>
			<td>string</td>
			<td>`"examplepass"`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.collabora.server_name</td>
			<td>string</td>
			<td>`"localhost"`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.collabora.username</td>
			<td>string</td>
			<td>`"admin"`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.deployment.containerPort</td>
			<td>int</td>
			<td>`9980`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.deployment.hostAliases</td>
			<td>string</td>
			<td>`nil`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.deployment.kind</td>
			<td>string</td>
			<td>`"Deployment"`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.deployment.maxSurge</td>
			<td>int</td>
			<td>`1`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.deployment.maxUnavailable</td>
			<td>int</td>
			<td>`0`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.deployment.minReadySeconds</td>
			<td>int</td>
			<td>`0`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.deployment.type</td>
			<td>string</td>
			<td>`"RollingUpdate"`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.dynamicConfig.affinity</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.dynamicConfig.configuration</td>
			<td>string</td>
			<td>`"{}\n"`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.dynamicConfig.containerPort</td>
			<td>int</td>
			<td>`80`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.dynamicConfig.enabled</td>
			<td>bool</td>
			<td>`false`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.dynamicConfig.env</td>
			<td>list</td>
			<td>`[]`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.dynamicConfig.existingConfigMap.enabled</td>
			<td>bool</td>
			<td>`false`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.dynamicConfig.existingConfigMap.name</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.dynamicConfig.image.pullPolicy</td>
			<td>string</td>
			<td>`"IfNotPresent"`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.dynamicConfig.image.repository</td>
			<td>string</td>
			<td>`"nginx"`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.dynamicConfig.image.tag</td>
			<td>float</td>
			<td>`1.23`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.dynamicConfig.ingress.annotations</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.dynamicConfig.ingress.className</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.dynamicConfig.ingress.enabled</td>
			<td>bool</td>
			<td>`false`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.dynamicConfig.ingress.hosts[0].host</td>
			<td>string</td>
			<td>`"chart-example.local"`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.dynamicConfig.ingress.hosts[0].paths[0].path</td>
			<td>string</td>
			<td>`"/"`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.dynamicConfig.ingress.hosts[0].paths[0].pathType</td>
			<td>string</td>
			<td>`"ImplementationSpecific"`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.dynamicConfig.ingress.tls</td>
			<td>list</td>
			<td>`[]`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.dynamicConfig.nodeSelector</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.dynamicConfig.podAnnotations</td>
			<td>list</td>
			<td>`[]`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.dynamicConfig.podSecurityContext</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.dynamicConfig.probes.liveness.enabled</td>
			<td>bool</td>
			<td>`true`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.dynamicConfig.probes.liveness.failureThreshold</td>
			<td>int</td>
			<td>`4`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.dynamicConfig.probes.liveness.initialDelaySeconds</td>
			<td>int</td>
			<td>`0`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.dynamicConfig.probes.liveness.periodSeconds</td>
			<td>int</td>
			<td>`10`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.dynamicConfig.probes.liveness.successThreshold</td>
			<td>int</td>
			<td>`1`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.dynamicConfig.probes.liveness.timeoutSeconds</td>
			<td>int</td>
			<td>`30`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.dynamicConfig.probes.readiness.enabled</td>
			<td>bool</td>
			<td>`true`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.dynamicConfig.probes.readiness.failureThreshold</td>
			<td>int</td>
			<td>`2`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.dynamicConfig.probes.readiness.initialDelaySeconds</td>
			<td>int</td>
			<td>`0`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.dynamicConfig.probes.readiness.periodSeconds</td>
			<td>int</td>
			<td>`10`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.dynamicConfig.probes.readiness.successThreshold</td>
			<td>int</td>
			<td>`1`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.dynamicConfig.probes.readiness.timeoutSeconds</td>
			<td>int</td>
			<td>`30`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.dynamicConfig.probes.startup.enabled</td>
			<td>bool</td>
			<td>`true`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.dynamicConfig.probes.startup.failureThreshold</td>
			<td>int</td>
			<td>`30`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.dynamicConfig.probes.startup.periodSeconds</td>
			<td>int</td>
			<td>`2`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.dynamicConfig.replicaCount</td>
			<td>int</td>
			<td>`2`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.dynamicConfig.resources</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.dynamicConfig.securityContext</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.dynamicConfig.service.port</td>
			<td>int</td>
			<td>`8080`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.dynamicConfig.tolerations</td>
			<td>list</td>
			<td>`[]`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.enabled</td>
			<td>bool</td>
			<td>`false`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.fullnameOverride</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.grafana.dashboards.enabled</td>
			<td>bool</td>
			<td>`false`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.grafana.dashboards.labels.grafana_dashboard</td>
			<td>string</td>
			<td>`"1"`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.image.pullPolicy</td>
			<td>string</td>
			<td>`"IfNotPresent"`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.image.repository</td>
			<td>string</td>
			<td>`"registry.open-xchange.com/appsuite-core-internal/3rdparty/collabora-online"`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.image.tag</td>
			<td>string</td>
			<td>`"22.05.8.4.1"`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.imagePullSecrets</td>
			<td>list</td>
			<td>`[]`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.ingress.annotations</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.ingress.className</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.ingress.enabled</td>
			<td>bool</td>
			<td>`false`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.ingress.hosts[0].host</td>
			<td>string</td>
			<td>`"chart-example.local"`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.ingress.hosts[0].paths[0].path</td>
			<td>string</td>
			<td>`"/"`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.ingress.hosts[0].paths[0].pathType</td>
			<td>string</td>
			<td>`"ImplementationSpecific"`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.ingress.tls</td>
			<td>list</td>
			<td>`[]`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.nameOverride</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.nodeSelector</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.podAnnotations</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.podSecurityContext</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.probes.liveness.enabled</td>
			<td>bool</td>
			<td>`true`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.probes.liveness.failureThreshold</td>
			<td>int</td>
			<td>`4`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.probes.liveness.initialDelaySeconds</td>
			<td>int</td>
			<td>`0`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.probes.liveness.periodSeconds</td>
			<td>int</td>
			<td>`10`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.probes.liveness.successThreshold</td>
			<td>int</td>
			<td>`1`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.probes.liveness.timeoutSeconds</td>
			<td>int</td>
			<td>`30`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.probes.readiness.enabled</td>
			<td>bool</td>
			<td>`true`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.probes.readiness.failureThreshold</td>
			<td>int</td>
			<td>`2`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.probes.readiness.initialDelaySeconds</td>
			<td>int</td>
			<td>`0`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.probes.readiness.periodSeconds</td>
			<td>int</td>
			<td>`10`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.probes.readiness.successThreshold</td>
			<td>int</td>
			<td>`1`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.probes.readiness.timeoutSeconds</td>
			<td>int</td>
			<td>`30`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.probes.startup.enabled</td>
			<td>bool</td>
			<td>`true`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.probes.startup.failureThreshold</td>
			<td>int</td>
			<td>`30`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.probes.startup.periodSeconds</td>
			<td>int</td>
			<td>`3`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.prometheus.rules.additionalLabels</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.prometheus.rules.additionalRules</td>
			<td>list</td>
			<td>`[]`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.prometheus.rules.defaults.docs.duplicated</td>
			<td>int</td>
			<td>`50`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.prometheus.rules.defaults.docs.pod.critical</td>
			<td>int</td>
			<td>`10`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.prometheus.rules.defaults.docs.pod.info</td>
			<td>int</td>
			<td>`5`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.prometheus.rules.defaults.docs.pod.warning</td>
			<td>int</td>
			<td>`8`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.prometheus.rules.defaults.docs.sum.critical</td>
			<td>int</td>
			<td>`500`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.prometheus.rules.defaults.docs.sum.info</td>
			<td>int</td>
			<td>`50`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.prometheus.rules.defaults.docs.sum.warning</td>
			<td>int</td>
			<td>`200`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.prometheus.rules.defaults.enabled</td>
			<td>bool</td>
			<td>`true`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.prometheus.rules.defaults.viewers.doc.critical</td>
			<td>int</td>
			<td>`50`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.prometheus.rules.defaults.viewers.doc.info</td>
			<td>int</td>
			<td>`30`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.prometheus.rules.defaults.viewers.doc.warning</td>
			<td>int</td>
			<td>`40`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.prometheus.rules.defaults.viewers.pod.critical</td>
			<td>int</td>
			<td>`100`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.prometheus.rules.defaults.viewers.pod.info</td>
			<td>int</td>
			<td>`60`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.prometheus.rules.defaults.viewers.pod.warning</td>
			<td>int</td>
			<td>`80`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.prometheus.rules.defaults.viewers.sum.critical</td>
			<td>int</td>
			<td>`15000`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.prometheus.rules.defaults.viewers.sum.info</td>
			<td>int</td>
			<td>`5000`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.prometheus.rules.defaults.viewers.sum.warning</td>
			<td>int</td>
			<td>`12000`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.prometheus.rules.enabled</td>
			<td>bool</td>
			<td>`false`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.prometheus.servicemonitor.enabled</td>
			<td>bool</td>
			<td>`false`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.prometheus.servicemonitor.labels</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.replicaCount</td>
			<td>int</td>
			<td>`1`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.resources</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.securityContext</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.service.annotations</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.service.port</td>
			<td>int</td>
			<td>`9980`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.service.type</td>
			<td>string</td>
			<td>`"ClusterIP"`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.serviceAccount.annotations</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.serviceAccount.create</td>
			<td>bool</td>
			<td>`false`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.serviceAccount.name</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.terminationGracePeriodSeconds</td>
			<td>int</td>
			<td>`60`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.tolerations</td>
			<td>list</td>
			<td>`[]`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.trusted_certs_install.enabled</td>
			<td>bool</td>
			<td>`false`</td>
			<td></td>
		</tr>
		<tr>
			<td>collabora-online.trusted_certs_install.trusted_certs</td>
			<td>list</td>
			<td>`[]`</td>
			<td></td>
		</tr>
	</tbody>
</table>

### Gotenberg

The following table lists the configurable parameters of the `Gotenberg` chart and their default values.

<table height="400px" >
	<thead>
		<th>Key</th>
		<th>Type</th>
		<th>Default</th>
		<th>Description</th>
	</thead>
	<tbody>
		<tr>
			<td>gotenberg.affinity</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.api.disableHealthCheckLogging</td>
			<td>bool</td>
			<td>`false`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.api.port</td>
			<td>int</td>
			<td>`3000`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.api.rootPath</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.api.timeout</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.api.traceHeader</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.autoscaling.enabled</td>
			<td>bool</td>
			<td>`false`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.autoscaling.maxReplicas</td>
			<td>int</td>
			<td>`100`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.autoscaling.minReplicas</td>
			<td>int</td>
			<td>`1`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.autoscaling.targetCPUUtilizationPercentage</td>
			<td>int</td>
			<td>`80`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.chromium.allowFileAccessFromFiles</td>
			<td>bool</td>
			<td>`false`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.chromium.allowInsecureLocalhost</td>
			<td>bool</td>
			<td>`false`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.chromium.allowList</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.chromium.denyList</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.chromium.disableJavaScript</td>
			<td>bool</td>
			<td>`true`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.chromium.disableRoutes</td>
			<td>bool</td>
			<td>`false`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.chromium.disableWebSecurity</td>
			<td>bool</td>
			<td>`false`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.chromium.hostResolverRules</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.chromium.ignoreCertificateErrors</td>
			<td>bool</td>
			<td>`false`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.chromium.incognito</td>
			<td>bool</td>
			<td>`false`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.chromium.proxyServer</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.enabled</td>
			<td>bool</td>
			<td>`false`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.fullnameOverride</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.gotenberg.gracefulShutdownDurationSec</td>
			<td>int</td>
			<td>`30`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.image.pullPolicy</td>
			<td>string</td>
			<td>`"IfNotPresent"`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.image.repository</td>
			<td>string</td>
			<td>`"registry.open-xchange.com/appsuite-core-internal/3rdparty/gotenberg"`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.image.tag</td>
			<td>string</td>
			<td>`"7.8.2"`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.imagePullSecrets</td>
			<td>list</td>
			<td>`[]`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.ingress.annotations</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.ingress.className</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.ingress.enabled</td>
			<td>bool</td>
			<td>`false`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.ingress.hosts</td>
			<td>list</td>
			<td>`[]`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.ingress.tls</td>
			<td>list</td>
			<td>`[]`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.libreOffice.disableRoutes</td>
			<td>bool</td>
			<td>`false`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.libreOffice.unoListenerRestartThreshold</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.libreOffice.unoListenerStartTimeout</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.logging.format</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.logging.level</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.nameOverride</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.nodeSelector</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.pdfEngines.disableRoutes</td>
			<td>bool</td>
			<td>`false`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.pdfEngines.engines</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.podAnnotations</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.podLabels</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.podSecurityContext</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.prometheus.collectInterval</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.prometheus.disableCollect</td>
			<td>bool</td>
			<td>`false`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.prometheus.disableRouterLogging</td>
			<td>bool</td>
			<td>`false`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.prometheus.namespece</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.replicaCount</td>
			<td>int</td>
			<td>`1`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.resources</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.securityContext.privileged</td>
			<td>bool</td>
			<td>`false`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.securityContext.runAsUser</td>
			<td>int</td>
			<td>`1001`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.service.port</td>
			<td>int</td>
			<td>`80`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.service.type</td>
			<td>string</td>
			<td>`"ClusterIP"`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.serviceAccount.annotations</td>
			<td>object</td>
			<td>`{}`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.serviceAccount.create</td>
			<td>bool</td>
			<td>`false`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.serviceAccount.name</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.tolerations</td>
			<td>list</td>
			<td>`[]`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.webhook.allowList</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.webhook.clientTimeout</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.webhook.denyList</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.webhook.disable</td>
			<td>bool</td>
			<td>`false`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.webhook.errorAllowList</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.webhook.errorDenyList</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.webhook.maxRetry</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.webhook.retryMaxWait</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
		<tr>
			<td>gotenberg.webhook.retryMinWait</td>
			<td>string</td>
			<td>`""`</td>
			<td></td>
		</tr>
	</tbody>
</table>
